Skip to content

Get author by ID or by slug

GET
/cms/author/{author_id}
author_id
required
string

Author ID (numeric) or slug

Author details

Author

API representation of an author

object
id

Author ID

integer format: int64
layoutTemplate
One of:
PageTemplateMatch

The page builder template to render a category, publication, article, author or keyword with (the layoutTemplate field of their views). Fetch the layout with GET /cms/layout/key/{key}, or GET /cms/layout/{id} when key is null.

object
id

Layout ID of the template

integer format: int64
Example
31
key

Stable key of the template; null when not set

string
nullable
Example
opinion-article
name

Template name

string
Example
Opinion article
matchedBy

Why this template applies, most specific first: the content type (article templates only), the category itself, a parent category, or the publication; for author and keyword templates, the author or keyword itself

string
Allowed values: article_type category parent_category publication author keyword
Example
category
targetType

What the template is used for

string
Allowed values: article_type category publication author keyword
Example
category
targetId

ID of the content type, category, publication, author or keyword

integer format: int64
Example
14
url

URL to the author page

string
name

Author name

string
image

Image URL

string
nullable
image_transforms

Available image transformations in different sizes

Array<object>
object
x

Width in pixels

integer
y

Height in pixels

integer
url

URL to the transformed image

string format: uri
cover

Cover image URL

string
nullable
email

Author email

string
nullable
department

Department

string
nullable
editorialName

Editorial name (slug)

string
nullable
biography

Short biography

string
nullable
description

Full description (HTML)

string
nullable
name_latin

Name in latin characters

string
nullable
country

Country code or name

string
nullable
googlePlus

Google+ profile (legacy)

string
nullable
twitter

Twitter handle (without @)

string
nullable
facebook

Facebook username

string
nullable
linkedin

LinkedIn profile

string
nullable
instagram

Instagram handle

string
nullable
objectType

Class name of the object

string
replacedWith

If this author was replaced, id of replacement

nullable

Not found